﻿/**
 *
 */


function init(){
	
	// Servletサーバアドレス
	sparql.server = "";

	// 検索対象エンドポイント（途中での改行は不可）
//	sparql.endpoint = {"endpoint": "http://ja.dbpedia.org/sparql","namespaces": "http://ja.dbpedia.org/class,http://ja.dbpedia.org/instance,http://ja.dbpedia.org/resource,http://ja.dbpedia.org/resource/Category:"};
	sparql.endpoint = {"endpoint": "http://hozoviewer.ei.sanken.osaka-u.ac.jp/endpoint/food_stat","namespaces": "http://ja.dbpedia.org/class,http://ja.dbpedia.org/instance,http://ja.dbpedia.org/resource,http://ja.dbpedia.org/resource/Category:"};
	

	template.template =
		[
		 {
			title:"都道府県ごとの農作物の収穫高",
			query:'select ?label ?data {?s <http://linkdata.org/property/rdf1s1131i#yield> ?data;\n'+
             '<http://linkdata.org/property/rdf1s1131i#food> ?label;\n'+
             '<http://linkdata.org/property/rdf1s1131i#prefecture> "$pref$"@ja} order by desc(?data)\n',
			label:"$pref$の食材の収穫量を取得する。",
			valiables:{pref:['北海道', '青森', '岩手', '秋田','宮城', '新潟', '山形','福島', '茨城', '千葉', '埼玉','群馬','埼玉','東京','神奈川']}
		},
		 {
			title:"農作物ごとの都道府県の収穫高",
			query:'select ?label ?data {?s <http://linkdata.org/property/rdf1s1131i#yield> ?data;\n'+
             '<http://linkdata.org/property/rdf1s1131i#food> "$food$"@ja;\n'+
             '<http://linkdata.org/property/rdf1s1131i#prefecture> ?label} order by desc(?data)',
			label:"都道府県ごとの食材$food$の収穫量を取得する。",
			valiables:{food:['アスパラガス', 'いちご', 'うめ', 'えだまめ','おうとう', 'かき', 'かぶ','かぼちゃ', 'カリフラワー', 'キャベツ', 'きゅうり','くり','ごぼう','こまつな','さといも']}
		}

		];

	
	sparql.init();
	template.init();
	
//	sparql.addCondition(0);
}

